Subject: bug#16016: 23.4; append-next-kill

From: Leo Liu <[email-masked]>
Date: Mon, 02 Dec 2013 13:23:38 +0800

On 2013-12-01 06:00 +0800, Jorgen Harmse wrote:
> Contrary to its name and all the documentation I have read,
> append-next-kill sometimes causes the next kill to be prepended. Example
> (in emacs -Q): Type "foo bar", then C-a M-d C- C-e C-M-w C-w C-y. The
> yank produces " barfoo". This command would be much more useful if I
> understood when the next kill appends and when it prepends.

Yes, prepend or append is dependent on the order of mark and point.
Maybe the documentation could be improved.

Leo